Extending Qt Creator Manual | CompletionContextFinder

Extending Qt Creator Manual 4.5.2

# CompletionContextFinder Class

(QmlJS::CompletionContextFinder)

Inherits: | QmlJS::LineInfo

- List of all members, including inherited members

## Public Functions

| CompletionContextFinder(const QTextCursor &cursor)
QStringList | bindingPropertyName() const
bool | isAfterOnInLhsOfBinding() const
bool | isInImport() const
bool | isInLhsOfBinding() const
bool | isInQmlContext() const
bool | isInRhsOfBinding() const
bool | isInStringLiteral() const
QString | libVersionImport() const
QStringList | qmlObjectTypeName() const

- 3 public functions inherited from QmlJS::LineInfo

### Additional Inherited Members

- 9 protected functions inherited from QmlJS::LineInfo

## Member Function Documentation

### CompletionContextFinder::CompletionContextFinder(const QTextCursor &cursor)

Default constructs an instance of CompletionContextFinder.

### QStringList CompletionContextFinder::bindingPropertyName() const

### bool CompletionContextFinder::isAfterOnInLhsOfBinding() const

Returns true if the cursor after "Type on" in the left hand side of a binding, false otherwise.

### bool CompletionContextFinder::isInImport() const

### bool CompletionContextFinder::isInLhsOfBinding() const

### bool CompletionContextFinder::isInQmlContext() const

### bool CompletionContextFinder::isInRhsOfBinding() const

### bool CompletionContextFinder::isInStringLiteral() const

### QString CompletionContextFinder::libVersionImport() const

### QStringList CompletionContextFinder::qmlObjectTypeName() const